Bug 181052 - *** glibc detected *** fontforge: double free or corruption (!prev):
*** glibc detected *** fontforge: double free or corruption (!prev):
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fontforge (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Roozbeh Pournader
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-12 07:21 EST by Nicolas Mailhot
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-18 11:34:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fixes crash (928 bytes, patch)
2006-02-12 12:21 EST, George Williams
no flags Details | Diff

  None (edit)
Description Nicolas Mailhot 2006-02-12 07:21:53 EST
glibc-2.3.90-36
fontforge-20060125-4.fc5

Running generate.pe from
http://prdownloads.sourceforge.net/dejavu/dejavu-sfd-2.2.tar.gz?download

./generate.pe *.sfd
+ ./generate.pe DejaVuCondensedSans.sfd DejaVuCondensedSansBold.sfd
DejaVuCondensedSansBoldOblique.sfd DejaVuCondensedSansOblique.sfd
DejaVuCondensedSerif.sfd DejaVuCondensedSerifBold.sfd
DejaVuCondensedSerifBoldOblique.sfd DejaVuCondensedSerifOblique.sfd
DejaVuMonoSans.sfd DejaVuMonoSansBold.sfd DejaVuMonoSansBoldOblique.sfd
DejaVuMonoSansOblique.sfd DejaVuSans.sfd DejaVuSansBold.sfd
DejaVuSansBoldOblique.sfd DejaVuSansOblique.sfd DejaVuSerif.sfd
DejaVuSerifBold.sfd DejaVuSerifBoldOblique.sfd DejaVuSerifOblique.sfd
Copyright (c) 2000-2006 by George Williams.
 Executable based on sources from 14:01 25-Jan-2006.
Internal Error:
Point count wrong calculated=36, actual=37 in uni0261
Internal Error:
Point count wrong calculated=36, actual=37 in uni0261
Internal Error:
Point count wrong calculated=39, actual=40 in uni0261
*** glibc detected *** fontforge: double free or corruption (!prev):
0x0000000001f8d090 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3b8b76d733]
/lib64/libc.so.6(__libc_free+0x84)[0x3b8b76d8b4]
fontforge[0x53ffc7]
fontforge[0x5406e4]
fontforge[0x5411dc]
fontforge(_WriteTTFFont+0x1f2)[0x54387d]
fontforge(WriteTTFFont+0x5a)[0x543c11]
fontforge[0x4e6787]
fontforge(GenerateScript+0x5d2)[0x4e978e]
fontforge[0x58665b]
fontforge[0x58cc9b]
fontforge[0x589deb]
fontforge[0x58a954]
fontforge[0x58ab37]
fontforge[0x58ad63]
fontforge[0x58af6a]
fontforge[0x58b0ab]
fontforge[0x58b6ab]
fontforge[0x58b8a2]
fontforge[0x58c33e]
fontforge(CheckIsScript+0x209)[0x58c941]
fontforge(FontForgeMain+0x23e)[0x53533c]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x3b8b71cff4]
fontforge(GTabSetCreate+0x4c1)[0x41b7d9]
======= Memory map: ========
00400000-006ea000 r-xp 00000000 fd:00 3346315                           
/usr/bin/fontforge
007e9000-00a65000 rw-p 002e9000 fd:00 3346315                           
/usr/bin/fontforge
00a65000-00a6b000 rw-p 00a65000 00:00 0
00d64000-00d6c000 rw-p 00564000 fd:00 3346315                           
/usr/bin/fontforge
00d6c000-020fd000 rw-p 00d6c000 00:00 0                                  [heap]
3872500000-387250d000 r-xp 00000000 fd:00 393218                        
/lib64/libgcc_s-4.1.0-20060206.so.1
387250d000-387260c000 ---p 0000d000 fd:00 393218                        
/lib64/libgcc_s-4.1.0-20060206.so.1
387260c000-387260d000 rw-p 0000c000 fd:00 393218                        
/lib64/libgcc_s-4.1.0-20060206.so.1
3a15900000-3a15914000 r-xp 00000000 fd:00 3347041                       
/usr/lib64/libz.so.1.2.3
3a15914000-3a15a13000 ---p 00014000 fd:00 3347041                       
/usr/lib64/libz.so.1.2.3
3a15a13000-3a15a14000 rw-p 00013000 fd:00 3347041                       
/usr/lib64/libz.so.1.2.3
3a15b00000-3a15b26000 r-xp 00000000 fd:00 3348341                       
/usr/lib64/libpng12.so.0.1.2.8
3a15b26000-3a15c26000 ---p 00026000 fd:00 3348341                       
/usr/lib64/libpng12.so.0.1.2.8
3a15c26000-3a15c27000 rw-p 00026000 fd:00 3348341                       
/usr/lib64/libpng12.so.0.1.2.8
3a15d00000-3a15d6e000 r-xp 00000000 fd:00 3345374                       
/usr/lib64/libfreetype.so.6.3.8
3a15d6e000-3a15e6d000 ---p 0006e000 fd:00 3345374                       
/usr/lib64/libfreetype.so.6.3.8
3a15e6d000-3a15e72000 rw-p 0006d000 fd:00 3345374                       
/usr/lib64/libfreetype.so.6.3.8
3a17d00000-3a17e2b000 r-xp 00000000 fd:00 3359784                       
/usr/lib64/libxml2.so.2.6.23
3a17e2b000-3a17f2a000 ---p 0012b000 fd:00 3359784                       
/usr/lib64/libxml2.so.2.6.23
3a17f2a000-3a17f37000 rw-p 0012a000 fd:00 3359784                       
/usr/lib64/libxml2.so.2.6.23
3a17f37000-3a17f38000 rw-p 3a17f37000 00:00 0
3a19a00000-3a19a55000 r-xp 00000000 fd:00 3351618                       
/usr/lib64/libtiff.so.3.7.4
3a19a55000-3a19b54000 ---p 00055000 fd:00 3351618                       
/usr/lib64/libtiff.so.3.7.4
3a19b54000-3a19b57000 rw-p 00054000 fd:00 3351618                       
/usr/lib64/libtiff.so.3.7.4
3b8b500000-3b8b519000 r-xp 00000000 fd:00 393338                        
/lib64/ld-2.3.90.so
3b8b619000-3b8b61a000 r--p 00019000 fd:00 393338                        
/lib64/ld-2.3.90.so
3b8b61a000-3b8b61b000 rw-p 0001a000 fd:00 393338                        
/lib64/ld-2.3.90.so
3b8b700000-3b8b831000 r-xp 00000000 fd:00 393460                        
/lib64/libc-2.3.90.so
3b8b831000-3b8b931000 ---p 00131000 fd:00 393460                        
/lib64/libc-2.3.90.so
3b8b931000-3b8b935000 r--p 00131000 fd:00 393460                        
/lib64/libc-2.3.90.so
3b8b935000-3b8b936000 rw-p 00135000 fd:00 393460                        
/lib64/libc-2.3.90.so
3b8b936000-3b8b93b000 rw-p 3b8b936000 00:00 0
3b8ba00000-3b8ba80000 r-xp 00000000 fd:00 393467                        
/lib64/libm-2.3.90.so
3b8ba80000-3b8bb80000 ---p 00080000 fd:00 393467                        
/lib64/libm-2.3.90.so
3b8bb80000-3b8bb81000 r--p 00080000 fd:00 393467                        
/lib64/libm-2.3.90.so
3b8bb81000-3b8bb82000 rw-p 00081000 fd:00 393467                        
/lib64/libm-2.3.90.so
3b8bc00000-3b8bc02000 r-xp 00000000 fd:00 393466                        
/lib64/libdl-2.3.90.so
3b8bc02000-3b8bd02000 ---p 00002000 fd:00 393466                        
/lib64/libdl-2.3.90.so
3b8bd02000-3b8bd03000 r--p 00002000 fd:00 393466                        
/lib64/libdl-2.3.90.so
3b8bd03000-3b8bd04000 rw-p 00003000 fd:00 393466                        
/lib64/libdl-2.3.90.so
3b8c700000-3b8c781000 r-xp 00000000 fd:00 3353317                       
/usr/lib64/libgdraw.so.1.0.9
3b8c781000-3b8c880000 ---p 00081000 fd:00 3353317                       
/usr/lib64/libgdraw.so.1.0.9
3b8c880000-3b8c890000 rw-p 00080000 fd:00 3353317                       
/usr/lib64/libgdraw.so.1.0.9
3b8c890000-3b8c891000 rw-p 3b8c890000 00:00 0
3b8c900000-3b8cba2000 r-xp 00000000 fd:00 3355879                       
/usr/lib64/libgunicode.so.2.0.2
3b8cba2000-3b8cca2000 ---p 002a2000 fd:00 3355879                       
/usr/lib64/libgunicode.so.2.0.2
3b8cca2000-3b8ccf0000 rw-p 002a2000 fd:00 3355879                       
/usr/lib64/libgunicode.so.2.0.2
3b8d300000-3b8d424000 r-xp 00000000 fd:00 3359382                       
/usr/lib64/libuninameslist.so.0.0.1
3b8d424000-3b8d523000 ---p 00124000 fd:00 3359382                       
/usr/lib64/libuninameslist.so.0.0.1
3b8d523000-3b8d574000 rw-p 00123000 fd:00 3359382                       
/usr/lib64/libuninameslist.so.0.0.1
3b94300000-3b94305000 r-xp 00000000 fd:00 3346298                       
/usr/lib64/libXdmcp.so.6.0.0
3b94305000-3b94404000 ---p 00005000 fd:00 3346298                       
/usr/lib64/libXdmcp.so.6.0.0
3b94404000-3b94405000 rw-p 00004000 fd:00 3346298                       
/usr/lib64/libXdmcp.so.6.0.0
3b94500000-3b94502000 r-xp 00000000 fd:00 3346290                       
/usr/lib64/libXau.so.6.0.0
3b94502000-3b94602000 ---p 00002000 fd:00 3346290                       
/usr/lib64/libXau.so.6.0.0
3b94602000-3b94603000 rw-p 00002000 fd:00 3346290                       
/usr/lib64/libXau.so.6.0.0
3b94900000-3b94a00000 r-xp 00000000 fd:00 3346337                       
/usr/lib64/libX11.so.6.2.0
3b94a00000-3b94a07000 rw-p 00100000 fd:00 3346337                       
/usr/lib64/libX11.so.6.2.0
3b97b00000-3b97b01000 r-xp 00000000 fd:00 3353202                       
/usr/lib64/libungif.so.4.1.3
3b97b01000-3b97c00000 ---p 00001000 fd:00 3353202                       
/usr/lib64/libungif.so.4.1.3
3b97c00000-3b97c01000 rw-p 00000000 fd:00 3353202                       
/usr/lib64/libungif.so.4.1.3
3b98300000-3b98308000 r-xp 00000000 fd:00 3352629                       
/usr/lib64/libgif.so.4.1.3
3b98308000-3b98408000 ---p 00008000 fd:00 3352629                       
/usr/lib64/libgif.so.4.1.3
3b98408000-3b98409000 rw-p 00008000 fd:00 3352629                       
/usr/lib64/libgif.so.4.1.3
3b99200000-3b99217000 r-xp 00000000 fd:00 3345513                       
/usr/lib64/libICE.so.6.3.0
3b99217000-3b99316000 ---p 00017000 fd:00 3345513                       
/usr/lib64/libICE.so.6.3.0
3b99316000-3b99318000 rw-p 00016000 fd:00 3345513                       
/usr/lib64/libICE.so.6.3.0
3b99318000-3b9931b000 rw-p 3b99318000 00:00 0
3b99400000-3b99409000 r-xp 00000000 fd:00 3348568                       
/usr/lib64/libSM.so.6.0.0
3b99409000-3b99509000 ---p 00009000 fd:00 3348568                       
/usr/lib64/libSM.so.6.0.0
3b99509000-3b9950a000 rw-p 00009000 fd:00 3348568                       
/usr/lib64/libSM.so.6.0.0
3b99600000-3b99621000 r-xp 00000000 fd:00 3346555                       
/usr/lib64/libjpeg.so.62.0.0
3b99621000-3b99721000 ---p 00021000 fd:00 3346555                       
/usr/lib64/libjpeg.so.62.0.0
3b99721000-3b99722000 rw-p 00021000 fd:00 3346555                       
/usr/lib64/libjpeg.so.62.0.0
2abe11e7d000-2abe11e80000 rw-p 2abe11e7d000 00:00 0
2abe11e80000-2abe11e87000 r--s 00000000 fd:00 3411875                   
/usr/lib64/gconv/gconv-modules.cache
2abe11e98000-2abe11e9e000 rw-p 2abe11e98000 00:00 0
2abe11e9e000-2abe11ea0000 r-xp 00000000 fd:00 3415321                   
/usr/lib64/gconv/ISO8859-1.so
2abe11ea0000-2abe11f9f000 ---p 00002000 fd:00 3415321                   
/usr/lib64/gconv/ISO8859-1.so
2abe11f9f000-2abe11fa1000 rw-p 00001000 fd:00 3415321                   
/usr/lib64/gconv/ISO8859-1.so
2abe11fa1000-2abe11fa3000 r-xp 00000000 fd:00 3415873                   
/usr/lib64/gconv/MACINTOSH.so
2abe11fa3000-2abe120a2000 ---p 00002000 fd:00 3415873                   
/usr/lib64/gconv/MACINTOSH.so
2abe120a2000-2abe120a4000 rw-p 00001000 fd:00 3415873                   
/usr/lib64/gconv/MACINTOSH.so
2abe120a4000-2abe120a5000 rw-p 2abe120a4000 00:00 0
2abe120a6000-2abe120e7000 rw-p 2abe120a6000 00:00 0
2abe120e7000-2abe12128000 rw-p 2abe12165000 00:00 0
2abe12129000-2abe1216a000 rw-p 2abe12129000 00:00 0
2abe121a4000-2abe12225000 rw-p 2abe120e7000 00:00 0
2abe12225000-2abe12266000 rw-p 2abe122a3000 00:00 0
2abe12267000-2abe122a8000 rw-p 2abe12267000 00:00 0
2abe122e2000-2abe12363000 rw-p 2abe12225000 00:00 0
2abe12363000-2abe123a4000 rw-p 2abe123e1000 00:00 0
2abe123a5000-2abe123e6000 rw-p 2abe123a5000 00:00 0
2abe12420000-2abe124a1000 rw-p 2abe12363000 00:00 0
2abe124a1000-2abe124e2000 rw-p 2abe1251f000 00:00 0
2abe124e3000-2abe12524000 rw-p 2abe124e3000 00:00 0
2abe1255e000-2abe125df000 rw-p 2abe124a1000 00:00 0
2abe125df000-2abe12620000 rw-p 2abe1265d000 00:00 0
2abe12621000-2abe12662000 rw-p 2abe12621000 00:00 0
2abe1269c000-2abe1271d000 rw-p 2abe125df000 00:00 0
2abe1271d000-2abe1275e000 rw-p 2abe1279b000 00:00 0
2abe1275e000-2abe127a1000 rw-p 2abe1275e000 00:00 0
2abe127da000-2abe1285b000 rw-p 2abe1271d000 00:00 0
2abe12900000-2abe12921000 rw-p 2abe12900000 00:00 0
2abe12921000-2abe12a00000 ---p 2abe12921000 00:00 0
7fffffc82000-7fffffc98000 rw-p 7fffffc82000 00:00 0                      [stack]
ffffffffff600000-ffffffffffe00000 ---p 00000000 00:00 0                  [vdso]
generate.sh: line 6:  1398 Aborted                 ./generate.pe *.sfd
Comment 1 Nicolas Mailhot 2006-02-12 08:01:38 EST
also the BR libungif-devel should be changed to giflib-devel on rawhide
Comment 2 Nicolas Mailhot 2006-02-12 08:06:14 EST
Using a home-rebuilt rpm (20060209 sources) seems to work
Comment 3 Nicolas Mailhot 2006-02-12 09:30:17 EST
If you want I can push 20060209 to FE
Next dejavu release is next week, I need to have the build tools ready by then
Comment 4 Roozbeh Pournader 2006-02-12 12:12:27 EST
Thanks for the reports.

This is three issues until now (the crash, the GIF dependency, and the update).
Would you please file the latter two separately?

Also, I would appreciate logs to be provided as attachments to bugs, instead of
being pasted in.

I am already working on the issues, but I can't promise any delivery date. If
you want to help make that quicker (which I would appreciate), please provide
patches in bugzilla so they can be reviewed before getting committed.
Comment 5 Nicolas Mailhot 2006-02-12 12:20:03 EST
The crash is the initial issue
I wanted to check if it was fixed upstream, so I rebuilt it with the latest
upstream sources. There I noticed the libungif-devel -> giflib-devel BR change

The rebuilt package works. If you want I'll reinstall rawhide fontforge and will
attach the log to the bug
Comment 6 George Williams 2006-02-12 12:21:17 EST
Created attachment 124559 [details]
Fixes crash

I posted a fix for the crash on Wed 8-Feb on the fontforge list.
I posted a release containing that fix on 9-Feb.
Comment 7 Roozbeh Pournader 2006-02-12 14:54:05 EST
Nicholas, can you also reproduce this on FC4 (with fontforge-20060125-1.fc4)?
Comment 8 Roozbeh Pournader 2006-02-12 15:04:19 EST
Thanks a lot George, since 20060209 is an experimental release (correct me if
I'm wrong), I guess I should only push 20060125 with the patch you attached.
Does that make sense?
Comment 9 Nicolas Mailhot 2006-02-12 15:37:54 EST
(In reply to comment #7)
> Nicholas, can you also reproduce this on FC4 (with fontforge-20060125-1.fc4)?

My system runs on Rawhide, so no

Comment 10 Roozbeh Pournader 2006-02-12 16:00:07 EST
(In reply to comment #9)
> (In reply to comment #7)
> > Nicholas, can you also reproduce this on FC4 (with fontforge-20060125-1.fc4)?
> 
> My system runs on Rawhide, so no

Are you planning to use generate.pe in a new dejavu-fonts package for FC4 then,
or will this only be FC5 and later?
Comment 11 Roozbeh Pournader 2006-02-12 16:10:01 EST
OK, I pushed an update for FC5. Changed status to needinfo for FC4.
Comment 12 Nicolas Mailhot 2006-02-12 16:17:42 EST
(In reply to comment #10)
> (In reply to comment #9)
> > (In reply to comment #7)
> > > Nicholas, can you also reproduce this on FC4 (with fontforge-20060125-1.fc4)?
> > 
> > My system runs on Rawhide, so no
> 
> Are you planning to use generate.pe in a new dejavu-fonts package for FC4 then,
> or will this only be FC5 and later?

I'm testing the result on rawhide, seems ok so far
I'll push the same spec to FC-4, if the build succeeds and no one complains
about the result I'll keep pushing to FC-4 & FC-5

The backup plan if FC-4 fails and/or is not satidfactory is to continue pushing
original TTFs instead of rebuilt ones (that would suck, I'd have to maintain 2
branches)

But I absolutely do *not* want to continue pushing original TTFs for FC-5 and
later. We need more font designers ie the font toolset must be packaged properly
in FE
Comment 13 Nicolas Mailhot 2006-02-12 16:25:46 EST
(I'll also probably wait a week before puching the new spec to FC-4 after
getting it into FC-5 -> now)
Comment 14 Nicolas Mailhot 2006-02-12 16:40:43 EST
FC-5 build succeeded for dejavu
http://buildsys.fedoraproject.org/build-status/job.psp?uid=4060

I'll push a FC-4 build around saturday. If fontforge is broken on FC-4 too
that'll give you saturday to sunday to fix it before dejavu 2.3 is released ;)
Comment 15 Nicolas Mailhot 2006-02-12 16:41:32 EST
That is, if no one complains about dejavu-fonts-2_2-5_fc5 first
Comment 16 Nicolas Mailhot 2006-02-18 09:50:57 EST
New point after a week as promised :

1. the FE devel build is solid no one reported any problem with the results
(dejavu builds)

2. without surprise the problem is also present in FC-4 :
http://buildsys.fedoraproject.org/logs/fedora-4-extras/4863-dejavu-fonts-2.2-4.fc4/noarch/build.log

please bring the FE devel fix to FC-4
Comment 17 Roozbeh Pournader 2006-02-18 11:34:47 EST
OK, just applied the patch to FC-4 and requested a rebuild.
Comment 18 Nicolas Mailhot 2006-02-18 13:19:06 EST
Thanks

Note You need to log in before you can comment on or make changes to this bug.